# Command: topology::GetPosition

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    topology::GetPosition - retrieve position of input node

Synopsis:

    node_gid GetPosition -> [array]

Examples:

      topology using

      %%Create layer
      << /rows 5
      /columns 4
      /elements /iaf_psc_alpha
      >> /dictionary Set

      dictionary CreateLayer /src Set

      4 GetPosition

Description:

    Retrieves spatial 2D position of layer node.

Parameters:

      node_gid		- gid of layer node
      [array]		- spatial position of node [x y]

Author:

    Kittel Austvoll

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/topology/topologymodule.cpp

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative